//******************************
//	ROCK SHADERS
//******************************

textures/mineshaft/marsrock_bump
{
	qer_editorimage textures/mars/mars_rock
	q3map_normalimage textures/mars/mars_rock_map
	q3map_lightmapsamplesize 1
	{
		map $lightmap
	}
	{
		map textures/mars/mars_rock
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mineshaft/marsrock2_bump
{
	qer_editorimage textures/mars/mars_rock2
	q3map_normalimage textures/mars/mars_rock2_map
	q3map_lightmapsamplesize 1
	{
		map $lightmap
	}
	{
		map textures/mars/mars_rock2
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mineshaft/marsrockdrill_bump
{
	qer_editorimage textures/mars/mars_rockdrill
	q3map_normalimage textures/mars/mars_rockdrill_map
	q3map_lightmapsamplesize 1
	{
		map $lightmap
	}
	{
		map textures/mars/mars_rockdrill
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mineshaft/marsrock_phong
{
	qer_editorimage textures/mars/mars_rock
 	q3map_nonplanar
 	q3map_shadeangle 90
	{
		map $lightmap
	}
	{
		map textures/mars/mars_rock
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mineshaft/marsrock2_phong
{
	qer_editorimage textures/mars/mars_rock2
 	q3map_nonplanar
 	q3map_shadeangle 90
	{
		map $lightmap
	}
	{
		map textures/mars/mars_rock2
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//******************************
//	METALLIC SHADERS
//******************************

textures/mineshaft/circuits
{
	qer_editorimage textures/tarsonis/circuitboard
	{
		map $lightmap
	}
	{
		map textures/tarsonis/circuitboard
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tarsonis/circuitboard_glow
		blendfunc add
		rgbGen wave sin 0.1 0.2 0 0.3
	}
}

textures/mineshaft/grate
{
	qer_editorimage	textures/majestic/window_v_double
	surfaceparm	nonopaque
	surfaceparm	trans
	cull	twosided
    {
        map textures/majestic/window_v_double
        alphaFunc GE192
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/mineshaft/cat_floor	//same as factory/cat_floor but not scaled
{
	qer_editorimage	textures/factory/cat_floor
	q3map_material	HollowMetal
	q3map_nolightmap
	cull	twosided
    {
        map textures/factory/cat_floor
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
        //tcMod scale 2 2
    }
}

textures/mineshaft/cat_floor2	//same as factory/cat_floor2 but double-sided
{
	qer_editorimage	textures/factory/cat_floor2
	q3map_material	HollowMetal
	q3map_nolightmap
	q3map_alphashadow
	cull	twosided
    {
        map textures/factory/cat_floor2
        blendFunc GL_ONE GL_SRC_ALPHA
        depthWrite
        rgbGen vertex
        tcMod scale 4 4
    }
}

//******************************
//	MISC SHADERS
//******************************

textures/mineshaft/schematic
{
	qer_editorimage	textures/mars/minelayout
	qer_trans	0.8
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
	//cull disable
    {
        map textures/common/glass2
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
	map textures/mars/minelayoutflash1
	blendfunc blend
	rgbGen wave inversesawtooth -1 2 0 0.5
    }
    {
	map textures/mars/minelayoutflash2
	blendfunc blend
	rgbGen wave inversesawtooth -1 2 0.25 0.5
    }
    {
	map textures/mars/minelayoutflash3
	blendfunc blend
	rgbGen wave inversesawtooth -1 2 0.4 0.5
    }
    {
	map textures/mars/minelayout
	blendfunc blend
    }
    {
        map textures/common/glass2
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/mineshaft/shadow_decal
{
	qer_editorimage textures/mars/fanshadow
	surfaceparm trans
	polygonOffset
	qer_trans 0.8
	q3map_nolightmap
	{
		map textures/mars/fanshadow
		blendfunc blend
	}
}

textures/mineshaft/flare_blue_pulse
{
	qer_editorimage	textures/flares/flare_blue
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	deformvertexes	autoSprite
	q3map_nolightmap
    {
        map textures/flares/flare_blue
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen wave sin 0.5 1 0.2 0.5
        //alphaGen portal 50
    }
}